/
Get draw rate caps
Security
oauth2(Required scopes: rates:list) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
Array []
Rate cap end date in product timezone, inclusive. If null, applies until end of loan/draw.
The maximum spread interest rate that can accrue.
If the calculated rate on a given day is greater than maxRate, then the system will cap the rate and accrue a maximum of maxRate on the loan. Else, we will use the calculated rate.
Format is decimal. For example, 0.36 is 36% annual rate cap.
The reason for maxRate. This is not used for any compliance logic, only for informational purposes.
MLA- Military Lending Act (36% cap for active duty military)SCRA- Servicemembers Civil Relief Actfederal- Other federal regulationsstate- State-specific regulationsother- Other regulatory or business reasons
Default:"other"
Enum:"MLA""SCRA""federal""state""other"
Response
[ { "createdAt": "2019-08-24T14:15:22Z", "endDate": "2019-08-24", "id": "string", "maxRate": 0, "rateCapReason": "MLA", "startDate": "2019-08-24", "updatedAt": "2019-08-24T14:15:22Z" } ]